Bug 1210043

Summary: Mongoengine require pymongo 2.7.1
Product: [Fedora] Fedora Reporter: Yohan Graterol <yohangraterol92>
Component: python-pymongoAssignee: Haïkel Guémar <karlthered>
Status: CLOSED RAWHIDE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 23CC: amcnabb, karlthered, rbarlow
Target Milestone: ---Keywords: Reopened
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2016-01-18 19:29:53 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Yohan Graterol 2015-04-08 18:40:18 UTC
Description of problem:

The new version of Mongoengine (0.9.0) require Pymongo 2.7.1, now the Pymongo version is 2.5.2.

Comment 1 Jan Kurik 2015-07-15 14:18:13 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 23 development cycle.
Changing version to '23'.

(As we did not run this process for some time, it could affect also pre-Fedora 23 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 23 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora23

Comment 2 Haïkel Guémar 2015-10-01 08:43:06 UTC
Taking over as provenpackager

Comment 3 Fedora Update System 2015-10-01 10:54:24 UTC
python-pymongo-3.0.3-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-dd52a54fa1

Comment 4 Fedora Update System 2015-10-01 10:54:24 UTC
python-pymongo-3.0.3-1.fc21 has been submitted as an update to Fedora 21. https://bodhi.fedoraproject.org/updates/FEDORA-2015-af1b712fce

Comment 5 Fedora Update System 2015-10-01 10:54:35 UTC
python-pymongo-3.0.3-1.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-68a2c2db36

Comment 6 Fedora Update System 2015-10-01 10:54:42 UTC
python-pymongo-3.0.3-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-925e9374c9

Comment 7 Fedora Update System 2015-10-01 10:54:45 UTC
python-pymongo-3.0.3-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-3e4043f088

Comment 8 Fedora Update System 2015-10-02 23:48:07 UTC
python-pymongo-3.0.3-1.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'yum --enablerepo=epel-testing update python-pymongo'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-68a2c2db36

Comment 9 Fedora Update System 2015-10-02 23:50:07 UTC
python-pymongo-3.0.3-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'yum --enablerepo=epel-testing update python-pymongo'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-925e9374c9

Comment 10 Fedora Update System 2015-10-04 01:37:09 UTC
python-pymongo-3.0.3-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update python-pymongo'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-3e4043f088

Comment 11 Fedora Update System 2015-10-04 01:53:24 UTC
python-pymongo-3.0.3-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update python-pymongo'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-dd52a54fa1

Comment 12 Fedora Update System 2015-10-04 02:21:09 UTC
python-pymongo-3.0.3-1.fc21 has been pushed to the Fedora 21 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update python-pymongo'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-af1b712fce

Comment 13 Randy Barlow 2016-01-14 16:41:33 UTC
These updates are not backwards compatible! Please do not push these into the stable Fedora! I will give these negative karma as a result.

However, thank you for fixing it in Rawhide.

Comment 14 Fedora Update System 2016-01-14 17:03:42 UTC
python-pymongo-3.0.3-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-dd52a54fa1

Comment 15 Fedora Update System 2016-01-14 17:04:32 UTC
python-pymongo-3.0.3-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-925e9374c9

Comment 16 Fedora Update System 2016-01-14 17:04:51 UTC
python-pymongo-3.0.3-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-3e4043f088

Comment 17 Fedora Update System 2016-01-14 19:29:32 UTC
python-pymongo-3.0.3-1.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-68a2c2db36

Comment 18 Fedora Update System 2016-01-15 12:15:50 UTC
python-pymongo-3.0.3-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-dd52a54fa1

Comment 19 Haïkel Guémar 2016-01-15 12:39:35 UTC
Please stop messing w/ Fedora updates, pulp is not in Fedora, and it was submitted in the proper timeframe. You had 3 months to test this update and you only woke up now.

I'm not revoking updates for F23+ and EPEL7, if you need compat package, I'll gladly review it for you. Don't dare revoking another packager update without contacting him first, this is an abuse of power.

Comment 20 Fedora Update System 2016-01-15 12:47:34 UTC
python-pymongo-3.0.3-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-3e4043f088

Comment 21 Fedora Update System 2016-01-15 13:44:51 UTC
python-pymongo-3.0.3-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-925e9374c9

Comment 22 Fedora Update System 2016-01-15 13:45:31 UTC
python-pymongo-3.0.3-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-dd52a54fa1

Comment 23 Fedora Update System 2016-01-16 19:22:01 UTC
python-pymongo-3.0.3-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-925e9374c9

Comment 24 Fedora Update System 2016-01-17 14:24:30 UTC
python-pymongo-3.0.3-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-dd52a54fa1

Comment 25 Randy Barlow 2016-01-18 19:29:53 UTC
This issue is resolved in Rawhide.